function moviechange(y)
{
var glen = xon.length
var ending = glen - 1
var last = ending - 1
var yonnew=yon+y
if (yon+y<=0)
{
yon=ending
}
else if (yon+y>=ending)
{
yon=0
}
	if(yon+y==1)
		{
		yon=yon+y
  		   var m1 = xon[last-3]
		   var m2 = xon[last-2]
		   var m3 = xon[last-1]
		   var m4 = xon[last]
		   var m5 = xon[yon]
		   var m6 = xon[yon+1]
		   var m7 = xon[yon+2]
		   var m8 = xon[yon+3]
		   var m9 = xon[yon+4]  

		   document.getElementById('image1').attributes[0].nodeValue=m1+"_small.png";
document.getElementById('image2').attributes[0].nodeValue=m2+"_small.png";
document.getElementById('image3').attributes[0].nodeValue=m3+"_small.png";
document.getElementById('image4').attributes[0].nodeValue=m4+"_small.png";

document.getElementById('image6').attributes[0].nodeValue=m6+"_small.png";
document.getElementById('image7').attributes[0].nodeValue=m7+"_small.png";
document.getElementById('image8').attributes[0].nodeValue=m8+"_small.png";
document.getElementById('image9').attributes[0].nodeValue=m9+"_small.png";

document.getElementById('changeimage').attributes[0].nodeValue=m5+"_small.png";
document.getElementById('changemovie').attributes[0].nodeValue=m5+".html";

document.getElementById('imagechange').attributes[0].nodeValue=m5+".fanart.jpg";
		   
		  	
		}
	else if(yon+y==last)
  		{
		yon=yon+y
  		   var m1 = xon[yon-4]
		   var m2 = xon[yon-3]
		   var m3 = xon[yon-2]
		   var m4 = xon[yon-1]
		   var m5 = xon[yon]
		   var m6 = xon[1]
		   var m7 = xon[2]
		   var m8 = xon[3]
		   var m9 = xon[4]    
document.getElementById('image1').attributes[0].nodeValue=m1+"_small.png";
document.getElementById('image2').attributes[0].nodeValue=m2+"_small.png";
document.getElementById('image3').attributes[0].nodeValue=m3+"_small.png";
document.getElementById('image4').attributes[0].nodeValue=m4+"_small.png";

document.getElementById('image6').attributes[0].nodeValue=m6+"_small.png";
document.getElementById('image7').attributes[0].nodeValue=m7+"_small.png";
document.getElementById('image8').attributes[0].nodeValue=m8+"_small.png";
document.getElementById('image9').attributes[0].nodeValue=m9+"_small.png";

document.getElementById('changeimage').attributes[0].nodeValue=m5+"_small.png";
document.getElementById('changemovie').attributes[0].nodeValue=m5+".html";

document.getElementById('imagechange').attributes[0].nodeValue=m5+".fanart.jpg";
 		    			   
	  	}
		

	
else
{
yon=yon+y


		   var m1 = xon[yon-4]
		   var m2 = xon[yon-3]
		   var m3 = xon[yon-2]
		   var m4 = xon[yon-1]
		   var m5 = xon[yon]
		   var m6 = xon[yon+1]
		   var m7 = xon[yon+2]
		   var m8 = xon[yon+3]
		   var m9 = xon[yon+4]
		  
		
		var mfile=files[yon]
			
		   
document.getElementById('image1').attributes[0].nodeValue=m1+"_small.png";
document.getElementById('image2').attributes[0].nodeValue=m2+"_small.png";
document.getElementById('image3').attributes[0].nodeValue=m3+"_small.png";
document.getElementById('image4').attributes[0].nodeValue=m4+"_small.png";

document.getElementById('image6').attributes[0].nodeValue=m6+"_small.png";
document.getElementById('image7').attributes[0].nodeValue=m7+"_small.png";
document.getElementById('image8').attributes[0].nodeValue=m8+"_small.png";
document.getElementById('image9').attributes[0].nodeValue=m9+"_small.png";

document.getElementById('changeimage').attributes[0].nodeValue=m5+"_small.png";
document.getElementById('changefile').attributes[0].nodeValue=mfile;
document.getElementById('changemovie').attributes[0].nodeValue=m5+".html";

document.getElementById('imagechange').attributes[0].nodeValue=m5+".fanart.jpg";
}
return
}